experiments.ftgAI

## Class FTGManager

- java.lang.Object
- - experiments.ftgAI.FTGManager

All Implemented Interfaces:
  StudiedSystem

    public class FTGManager
    extends java.lang.Object
    implements StudiedSystem

The Class FTGManager.

### Field Summary

Fields
`gameInterface.AIInterface` `AI` The ai.

### Constructor Summary

Constructors
Constructor and Description
`FTGManager()` Instantiates a new FTG manager.

### Method Summary

All Methods Instance Methods Concrete Methods
`structs.Key` `computeKey(structs.FrameData frameData, boolean player)` Compute the output for FTGAI.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput()` Gets the output.
`void` `playOneStep(double action)` When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.
`void` `setAmoeba(AMOEBA amoeba)` Sets the amoeba.
`void` `switchControlMode()` Switch control mode.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AI

    public gameInterface.AIInterface AI

The ai.

### Constructor Detail

#### FTGManager

    public FTGManager()

Instantiates a new FTG manager.

### Method Detail

#### playOneStep

    public void playOneStep(double action)

Description copied from interface: `StudiedSystem`
When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.

Specified by:
  `playOneStep` in interface `StudiedSystem`
Parameters:
  `action` - : output action of AMOEBA.

#### getOutput

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutput()

Description copied from interface: `StudiedSystem`
Gets the output.

Specified by:
  `getOutput` in interface `StudiedSystem`
Returns:
  the output

#### computeKey

    public structs.Key computeKey(structs.FrameData frameData,
                                  boolean player)

Compute the output for FTGAI.

Parameters:
  `frameData` - the frame data
  `player` - the player
Returns:
  the key

#### switchControlMode

    public void switchControlMode()

Description copied from interface: `StudiedSystem`
Switch control mode.

Specified by:
  `switchControlMode` in interface `StudiedSystem`

#### setAmoeba

    public void setAmoeba(AMOEBA amoeba)

Sets the amoeba.

Parameters:
  `amoeba` - the new amoeba